Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QKeySequence.SequenceFormat

    java.lang.Object
      java.lang.Enum<QKeySequence.SequenceFormat>
          com.trolltech.qt.gui.QKeySequence.SequenceFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QKeySequence.SequenceFormat>

Enclosing class:
  QKeySequence

    public static enum QKeySequence.SequenceFormat

extends java.lang.Enum<QKeySequence.SequenceFormat>
implements QtEnumerator

Press link for info on QKeySequence.SequenceFormat

Enum Constant Summary
`NativeText` The key sequence as a platform specific string.
`PortableText` The key sequence is given in a "portable" format, suitable for reading and writing to a file.

Method Summary
`static QKeySequence.SequenceFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.SequenceFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QKeySequence.SequenceFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NativeText

    public static final QKeySequence.SequenceFormat NativeText

  The key sequence as a platform specific string. This means that it will be shown translated and on the Mac it will resemble a key sequence from the menu bar. This enum is best used when you want to display the string to the user.

### PortableText

    public static final QKeySequence.SequenceFormat PortableText

  The key sequence is given in a "portable" format, suitable for reading and writing to a file. In many cases, it will look similar to the native text on Windows and X11.

Method Detail

### values

    public static final QKeySequence.SequenceFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QKeySequence.SequenceFormat c : QKeySequence.SequenceFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QKeySequence.SequenceFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.SequenceFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD